> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Voice Agents

> List the voice agents in your space.

Items omit `agent_configuration` — retrieve a single agent to see its full configuration.



## OpenAPI

````yaml /openapi.json get /v1/voice_agents
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v1/voice_agents:
    get:
      tags:
        - Voice Agents
      summary: List Voice Agents
      description: >-
        List the voice agents in your space.


        Items omit `agent_configuration` — retrieve a single agent to see its
        full configuration.
      operationId: list_voice_agents_v1_voice_agents_get
      parameters:
        - name: la_session
          in: cookie
          required: false
          schema:
            title: La Session
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response_list_VoiceAgentListItemSchema__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Response_list_VoiceAgentListItemSchema__:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          title: Data
          items:
            $ref: '#/components/schemas/VoiceAgentListItemSchema'
          type: array
        message:
          title: Message
          type: string
      type: object
      title: Response[list[VoiceAgentListItemSchema]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VoiceAgentListItemSchema:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        agent_type:
          $ref: '#/components/schemas/VoiceAgentTypeEnum'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - agent_type
        - created_at
        - updated_at
      title: VoiceAgentListItemSchema
      description: >-
        A voice agent without its `agent_configuration`, as returned by the list
        endpoint.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    VoiceAgentTypeEnum:
      type: string
      enum:
        - liveavatar_agent
        - elevenlabs_agent
        - cartesia_agent
      title: VoiceAgentTypeEnum
      description: >-
        How a voice agent's conversation is run.


        * `liveavatar_agent` — the managed speech-to-text => LLM =>
        text-to-speech pipeline.

        * `elevenlabs_agent` — an agent you host on ElevenLabs, referenced by
        id.

        * `cartesia_agent` — an agent you host on Cartesia, referenced by id.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````